List Live resources
List Live Resources on the specified project.
Listing, Sorting and Filtering Resource
This endpoint returns the list of Resource in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, displayName, id, labels, name, spec/state, spec/transform/type, status/state, status/transformType, updated, updatedBy
Filtering
There are two ways to filter the set of returned Resource from this endpoint - the first is to use the $filter query parameter, the second is to use the
$label_key and $label query parameters.
The $filter query parameter allows for Resource to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, displayName, id, labels, name, spec/inputs/content, spec/outputs/destination, spec/siteName, spec/state, spec/transform/type, status/deviceName, status/state, status/transformType, updated, updatedBy, updatedByEmail, updatedByName
$label_key and $label are specific to querying Resource based on their labels. Labels are a set of key-value pairs that can be used to identify Resource with
any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of Resource.
Examples:
?$top=10 - Returns only the first 10 Resource from the list.
?$orderby=name desc - Sorts Resource by name in descending order.
?$filter=name eq 'descriptive name' - Returns Resource that match the provided name.
?$orderby=created desc - Sorts Resource by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns Resource created after January 1, 2021.
?$label=studio=paravalley - Returns Resource with the label studio set to paravalley.
?$label=release-date~2023 - Returns Resource with the label release-date set to a value that contains 2023.
?$label_key=studio&label_key=release-date - Returns Resource with any value set for the studio label and the release-date label.
RBAC Capability Required: transform.livechannel.get
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.Response
200List of Live Resources
Loading schema details…
Errors
400Bad Request
Loading schema details…
401Unauthorized
Loading schema details…
403Forbidden
Loading schema details…
404Not Found
Loading schema details…
429Too Many Requests
Loading schema details…
500Internal Server Error
Loading schema details…